Subject: Order #600848037 // HA-687024 // hauck Metal Glider 11 Armchair - Black // POMUMZ_DXB192610 // Defective
From: Denmark A <[email-masked]>
To: Bernadette Villahermosa <[email-masked]>
Cc: customer care <[email-masked]>, "Returns.fc" <[email-masked]>, "Alina D'Souza" <[email-masked]>, Kenneth Nwaso <[email-masked]>, Mark Anthony Laraga <[email-masked]>, Michael Rolle <[email-masked]>
Date: Wed, 1 Jul 2020 13:05:07 +0400
List-Id: <ccteam.mumzworld.com>

Dear Vendor,

Please see the below customer complaint and allow us to send the item back
to you for your further evaluation.

The headrest is very padded in comparison to the rest of the chair so that
will take a little longer to flatten out.

Also as I told you the chair does tend to get stuck in the recline position
and then when I sit on it again it snaps back quite harshly which is no
good for me if I have a baby in hand.

We appreciate your support in this matter, Thank you.

Regards,

Den mark